package android15.samples;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.webkit.WebView;
import android.webkit.WebViewClient;

public class WebViewingStroyboard extends Activity {
    /** Called when the activity is first created. */
	
	private WebView _webview;	
	
    private class HelloWebViewClient extends WebViewClient {
        @Override
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            view.loadUrl(url);
            return true;
        }
        
        @Override
        public boolean shouldOverrideKeyEvent (WebView view, KeyEvent event) {
        	int keyCode = event.getKeyCode();
            if ((keyCode == KeyEvent.KEYCODE_DPAD_LEFT) && _webview.canGoBack()) {
                _webview.goBack();
                return true;
            }
            else if ((keyCode == KeyEvent.KEYCODE_DPAD_RIGHT) && _webview.canGoForward()) {
                _webview.goForward();
                return true;
            }
            return false;
        }   

    }
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        _webview = (WebView) findViewById(R.id.webview);
        _webview.setWebViewClient(new HelloWebViewClient());
        _webview.getSettings().setJavaScriptEnabled(true);
        _webview.loadUrl("http://www.google.com");   
    }
}